<?php

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Field\Models\Field;
use Faker\Generator as Faker;
use Illuminate\Support\Str;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Field::class, function (Faker $faker) {
    $label = $faker->words(3, true);

    return [
        'name' => Str::slug($label, '_'),
        'label' => $label,
        'type' => 'TextInput',
        'section_id' => null,
        'respondable_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'respondable_type' => Event::class,
    ];
});

$factory->state(Field::class, 'without-respondable', function () {
    return [
        'respondable_id' => null,
        'respondable_type' => null,
    ];
});

$factory->state(Field::class, 'TextInput', function () {
    return [
        'type' => 'TextInput',
    ];
});

$factory->state(Field::class, 'Select', function () {
    return [
        'type' => 'Select',
    ];
});

$factory->state(Field::class, 'Section', function () {
    return [
        'type' => 'Section',
    ];
});
