<?php

namespace EventPortal\Domain\Component;

class Actions
{
    /** @var \Illuminate\Support\Collection */
    protected $actions;

    public function __construct()
    {
        $this->actions = collect([]);
    }

    public static function make(): self
    {
        return new static();
    }

    public function addAction(callable $callable): self
    {
        $this->actions->add($callable());

        return $this;
    }

    public function toArray(): array
    {
        return $this->actions->toArray();
    }
}
