<?php

namespace EventPortal\Http\Requests;

use EventPortal\Domain\Field\Models\Field;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Arr;

class FormUpdateRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [];
    }

    public function withValidator(): void
    {
        $model = Arr::first($this->route()->parameters);



        $rules = Field::query()
            ->whereHas('form', function ($query) use ($model) {
                return $query->forModel($model);
            })
            ->onlyChildren()
            ->whereIn('name', array_keys($this->all()))
            ->pluck('data')
            ->flatMap(function ($data) {
                return $data->get('validation')[0];
            })
            ->filter()
            ->toArray();


        $this->validate($rules, $this->all());
    }
}
