<?php

namespace EventPortal\Tests\Unit\Component;

use EventPortal\Domain\Component\Input\Select;
use EventPortal\Domain\Component\Input\Text;
use EventPortal\Domain\Component\MakeComponent;
use EventPortal\Domain\Field\Models\Field;
use EventPortal\Tests\TestCase;

class MakeComponentTest extends TestCase
{
    /** @test */
    public function can_make_text_input()
    {
        $field = factory(Field::class)->states(['without-respondable', 'TextInput'])->make();

        $component = MakeComponent::fromField($field);

        $this->assertInstanceOf(Text::class, $component);
    }

    public function can_make_select()
    {
        $field = factory(Field::class)->states(['without-respondable', 'Select'])->make();

        $component = MakeComponent::fromField($field);

        $this->assertInstanceOf(Select::class, $component);
    }
}
