<?php

namespace EventPortal\Tests\Unit\Component;

use EventPortal\Domain\Component\Input\SelectOption;
use EventPortal\Tests\TestCase;

class SelectOptionTest extends TestCase
{
    /** @test **/
    public function can_make_without_giving_value()
    {
        $selectValue = SelectOption::make('Seminar');

        $this->assertEquals('Seminar', $selectValue->label);
        $this->assertEquals('seminar', $selectValue->value);
    }

    /** @test **/
    public function can_make_with_giving_value()
    {
        $selectValue = SelectOption::make('Seminar')->value('waffle');

        $this->assertEquals('Seminar', $selectValue->label);
        $this->assertEquals('waffle', $selectValue->value);
    }

    /** @test **/
    public function can_make_with_giving_integer_value()
    {
        $selectValue = SelectOption::make('Seminar')->value(2);

        $this->assertEquals('Seminar', $selectValue->label);
        $this->assertEquals(2, $selectValue->value);
    }
}
